Subject: bug#57878: Minimal reproducible setup

From: Konrad Hinsen <[email-masked]>
Date: Sat, 17 Sep 2022 12:28:45 +0200

My understanding of site-start.el is that it actually loads all the
Emacs packages that are listed in my Guix profile. Which means that my
package list matters. Here is a minimal containerized example that
creates a process avalanche:

    guix shell -C emacs emacs-ido-completing-read+ \
       -- emacs --batch --eval="(print load-path)"

ido-completing-read+ is a rather small Emacs package, and I don't see
anything obvious in it that could cause trouble with native compilation.
But more importantly, I think no package should be able to cause the
behavior that I observe.

Cheers
  Konrad.